ServerAutomaticSnapshotResponse
Successful response with one ServerAutomaticSnapshot
errorintegerrequired
Always 0 in a successful response
Constant value:
0messagestring | nullnullablerequired
Always null in a successful response
data objectrequired
Resource returned by the operation
snapshot_idintegerrequired
Id of the schedule (not of a snapshot)
server_idintegerrequired
Id of the server (GET /api/v3/servers/{server_id})
namestringrequired
Name of the snapshots that the schedule creates
days_of_weekinteger[]required
Days of the week of the snapshots, from 1 (Monday) to 7 (Sunday)
hour_of_daystringrequired
Time of the snapshots, in 24-hour HH:MM format
is_activebooleanrequired
Whether the schedule is active
metarequired
Always null: only the paginated lists have a meta
Constant value:
nullServerAutomaticSnapshotResponse
{
"error": 0,
"message": "string",
"data": {
"snapshot_id": 0,
"server_id": 0,
"name": "string",
"days_of_week": [
0
],
"hour_of_day": "string",
"is_active": true
}
}